Subject: bug#49556: closed (Re: [bug#49556] [PATCH 2/2] gnu: VDE 2: Update to 2.3.2-0.8599321.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Aug 2021 19:48:02 +0000

Your bug report

#49556: Add wolfSSL and use it with VDE 2, fixing VDE 2's dependency on obsolete OpenSSL 1.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49556: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49556
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#49556] [PATCH 2/2] gnu: VDE 2: Update to 2.3.2-0.8599321.
From: Leo Famulari <[email-masked]>
To: Diego Nicola Barbato <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 Aug 2021 15:47:09 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Aug 05, 2021 at 03:37:47PM +0000, Diego Nicola Barbato wrote:
> Hi Leo,
> 
> Leo Famulari <[email-masked]> writes:
> 
> > On Tue, Aug 03, 2021 at 06:01:33PM +0000, Diego Nicola Barbato wrote:
> >> I suspect the following lines in configure.ac are the culprit:
> >> 
> >> --8<---------------cut here---------------start------------->8---
> >> AC_CHECK_LIB([crypto], [EVP_EncryptInit],
> >>   [add_cryptcab_support=yes],
> >>   [add_cryptcab_support=no ; warn_cryptcab=yes])
> >> --8<---------------cut here---------------end--------------->8---
> >
> > Thanks for catching that!
> >
> >> I'll report this issue upstream.
> >
> > Okay, please share the link to your report once you have made it.
> 
> I've submitted a pull request:
> https://github.com/virtualsquare/vde-2/pull/27

They accepted your patch.

I've added the wolfSSL package and updated VDE-2 to include your fix,
with commit e6388b48f3df21b792cd61f93fddc7274238bac6

Subject: Add wolfSSL and use it with VDE 2, fixing VDE 2's dependency on obsolete OpenSSL 1.0
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Tue, 13 Jul 2021 18:59:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches add wolfSSL and replace VDE 2's dependency on the obsolete
OpenSSL 1.0 with wolfSSL.